Bug 279325

Summary: access to kwallet is not closed after closing kmail
Product: kmail2 Reporter: Silver Salonen <silver.salonen>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: montel
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 4.10.2

Description Silver Salonen 2011-08-03 20:45:16 UTC
Version:           unspecified (using KDE 4.7.0) 
OS:                Linux

I have set my KWallet to close after it has been unused for 10 minutes. Previously with KMail1, when I closed it, KWallet was closed too and when I re-opened KMail, the password was asked again.

Now, when I run KMail and close it (I've my accounts to go offline once KMail closes), password is not requested when I open KMail again.

I expect it as kind of a security issue.

Maybe it's Akonadi's issue instead, I'm not sure :)

Reproducible: Always

Steps to Reproduce:
Set KWallet to close when last application stops using it or when it's unused for n minutes.
1) Launch KMail - KWallet asks for password for opening for Akonadi
2) Close KMail - KWallet is closed
3) Launch KMail again - KWallet is not opened, but accounts retrieve new information nevertheless

Actual Results:  
On re-opening KMail, KWallet does not ask for password

Expected Results:  
On re-opening KMail, KWallet asks for password again
Comment 1 Silver Salonen 2012-01-31 11:08:02 UTC
Seems it's not happening anymore in 4.8.0.
Comment 2 Silver Salonen 2012-02-02 19:27:01 UTC
Still happens.
Comment 3 Laurent Montel 2013-03-08 08:25:33 UTC
Because it's  not kmail but akonadi resource which ask kwallet
=> close akonadi and it will close.
Comment 4 Silver Salonen 2013-03-08 08:27:21 UTC
OK, but if KMail's Akonadi resources go offline, shouldn't Akonadi "close" by itself?
Or how does one "close" Akonadi?
Comment 5 Laurent Montel 2013-03-08 09:55:16 UTC
it's right when we go to offline it will logical to close it.
Will look at soon.
Comment 6 Laurent Montel 2013-03-08 11:33:52 UTC
Git commit c1ffc0869c7faaa34afac1cfccfa89ac809bd8f1 by Montel Laurent.
Committed on 08/03/2013 at 12:32.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 279325 - access to kwallet is not closed after closing kmail

Close kwallet when we go offline, and clear password

M  +3    -0    resources/pop3/pop3resource.cpp

http://commits.kde.org/kdepim-runtime/c1ffc0869c7faaa34afac1cfccfa89ac809bd8f1
Comment 7 Laurent Montel 2013-03-08 11:35:00 UTC
Will look at soon imap account.
Comment 8 Laurent Montel 2013-03-08 12:38:08 UTC
Git commit 6fd4addca61a7bdc6e081b7b73395ee0dda15095 by Montel Laurent.
Committed on 08/03/2013 at 13:37.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 279325 - access to kwallet is not closed after closing kmail

FIXED-IN: 4.10.2

M  +1    -0    resources/imap/imapresource.cpp
M  +5    -0    resources/imap/settings.cpp
M  +2    -0    resources/imap/settings.h

http://commits.kde.org/kdepim-runtime/6fd4addca61a7bdc6e081b7b73395ee0dda15095